import { SocketConnectionDto } from "@smallstack/axios-api-client";
import { TokenService } from "@smallstack/common-components";
import { Observable } from "rxjs";
import { ApplicationService } from "../../services/application.service";
import * as i0 from "@angular/core";
export declare class ContentRendererComponent {
    private tokenService;
    protected applicationService: ApplicationService;
    currentPath$: import("rxjs").BehaviorSubject<string>;
    currentApplication$: import("dist/libs/store/src").Store<import("@smallstack/axios-api-client").ApplicationDto>;
    currentConnections$: Observable<SocketConnectionDto[]>;
    constructor(tokenService: TokenService, applicationService: ApplicationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentRendererComponent, "smallstack-application-content-renderer", never, {}, {}, never, never, false, never>;
}
